Skip to main content
GET
/
observability
/
destinations
List observability destinations
curl --request GET \
  --url https://openrouter.ai/api/v1/observability/destinations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://openrouter.ai/api/v1/observability/destinations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://openrouter.ai/api/v1/observability/destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "api_key_hashes": null,
      "config": {
        "baseUrl": "https://us.cloud.langfuse.com",
        "publicKey": "pk-l...EfGh",
        "secretKey": "sk-l...AbCd"
      },
      "created_at": "2025-08-24T10:30:00Z",
      "enabled": true,
      "filter_rules": null,
      "id": "99999999-aaaa-bbbb-cccc-dddddddddddd",
      "name": "Production Langfuse",
      "privacy_mode": false,
      "sampling_rate": 1,
      "type": "langfuse",
      "updated_at": "2025-08-24T15:45:00Z",
      "workspace_id": "550e8400-e29b-41d4-a716-446655440000"
    }
  ],
  "total_count": 1
}
{
"error": {
"code": 401,
"message": "Missing Authentication header"
}
}
{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Query Parameters

offset
integer | null

Number of records to skip for pagination

Required range: x >= 0
Example:

0

limit
integer

Maximum number of records to return (max 100)

Required range: 1 <= x <= 100
Example:

50

workspace_id
string<uuid>

Optional workspace ID to filter by. Defaults to the authenticated entity's default workspace.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

List of observability destinations

data
object[]
required

List of observability destinations.

Example:
{
"api_key_hashes": null,
"config": {
"baseUrl": "https://us.cloud.langfuse.com",
"publicKey": "pk-l...EfGh",
"secretKey": "sk-l...AbCd"
},
"created_at": "2025-08-24T10:30:00Z",
"enabled": true,
"filter_rules": null,
"id": "99999999-aaaa-bbbb-cccc-dddddddddddd",
"name": "Production Langfuse",
"privacy_mode": false,
"sampling_rate": 1,
"type": "langfuse",
"updated_at": "2025-08-24T15:45:00Z",
"workspace_id": "550e8400-e29b-41d4-a716-446655440000"
}
total_count
integer
required

Total number of destinations matching the filters.

Example:

1